Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.cluster
Class UpdateHistoryStrategy

    java.lang.Object
      org.jivesoftware.openfire.muc.cluster.UpdateHistoryStrategy

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

    public class UpdateHistoryStrategy

extends Object
implements ClusterTask

Cluster task that will update the history strategy used by the MultiUserChatServer service. It is currently not possible to edit the history strategy of a given room but only of the service. Therefore, this task will only update the service's strategy.

Author:
  Gaston Dombiak
See Also:
  Serialized Form

Constructor Summary
`UpdateHistoryStrategy()`
`UpdateHistoryStrategy(HistoryStrategy historyStrategy)`

Method Summary
`Object` | `getResult()`
`void` | `readExternal(ObjectInput in)`
`void` | `run()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateHistoryStrategy

    public UpdateHistoryStrategy()

### UpdateHistoryStrategy

    public UpdateHistoryStrategy(HistoryStrategy historyStrategy)

Method Detail

### getResult

    public Object getResult()

  Specified by:
    `getResult` in interface `ClusterTask`

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.